#
# spec file for package cc65
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cc65
Version:        2.15.0+git.20170407
Release:        1.25
Summary:        Crosscompiler/Crossassembler for 6502 systems
License:        GPL-2.0
Group:          Development/Languages/C and C++
Url:            http://cc65.github.io/cc65/
Source:         %{name}-%{version}.tar.xz
Source1:        %{name}-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A complete cross development package for 65(C)02 systems, including a powerful
macro assembler, a C compiler, linker, librarian and several other tools.

cc65 has C and runtime library support for many of the old 6502 machines,
including the following Commodore machines: VIC20, C16/C116 and Plus/4, C64,
C128, CBM 510 (aka P500), the 600/700 family, newer PET machines (not 2001);
the Apple ][+ and successors; the Atari 8 bit machines; GEOS for the C64, the
C128 and the Apple IIe; the Nintendo Entertainment System (NES); the
Supervision console; the Oric Atmos; the Lynx console.

The libraries are fairly portable, so creating a version for other 6502s
shouldn't be too much work.

%prep
%setup -q

%build
make %{?_smp_mflags} CC="cc %{optflags}" prefix=%{_prefix} datadir=%{_libdir}/cc65 bindir=%{_bindir}

%install
%make_install prefix=%{_prefix} datadir=%{_libdir}/cc65 bindir=%{_bindir}
%fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%{_bindir}/ar65
%{_bindir}/ca65
%{_bindir}/cc65
%{_bindir}/chrcvt65
%{_bindir}/cl65
%{_bindir}/co65
%{_bindir}/da65
%{_bindir}/grc65
%{_bindir}/ld65
%{_bindir}/od65
%{_bindir}/sim65
%{_bindir}/sp65
%{_libdir}/cc65
%{_datadir}/cc65

%changelog
* Fri Apr  7 2017 mpluskal@suse.com
- Update to version 2.15.0+git.20170407:
  * Disallow global variable declarations with an initializer.
  * Global uninitialized variable is only a tentative definition.
  * Issue an error for duplicate global variables.
  * Revert "Disallow global variable declarations with an initializer."
  * Optimization of two string functions (size & speed).
  * Added "strrchr" optimizaion a matching unit test and tiny unit test framework. (Documentation for that will follow later)
  * Fixed indentation
  * Changed the location of unittest.h
  * Added further optimizations and unit tests.
  * Fixed CPU-flag usage which fails on build server?!
  * temporarily disable optimizations altogether until a fine grain control is implemented on Makefile level only disabling the compiler option -Os
  * creativision.inc: add symbolic names for joystick direction values
  * Implement diagonal direction handling in creativision joystick driver.
  * Just some minor style fix.
  * "static int n; int n;" is an error.
  * Add regression test for #204.
  * Add regression tests for duplicate global/static variables detected by the compiler.
  * Add regression tests for duplicate globals with different linkage.
  * Fix line endings (CRLF -> LF) on all affected files.
  * Removed a pointless cc65 command-line option from the samples makefile.
  * Fixed a pointer test again -- but, it's better than in pull request #391.
  * Added .gitattributes to force LF line endings on commit.
  * Made C's sizeof operator work with initialized void variables.
  * few 6502 and some 65SC02 optimizations
  * Creativison changes.
  * Added 65SC02 support for simulator.
  * fixed scrambled semicolon
  * additional fix for scrambled code (sorry)
  * Fixed bug in original sim65 implementation (reason for C&P error in last commit)
  * style changes
  * Removed top blank line.
  * fixed curly brackets for single line scopes
  * Cleaned up test Makefiles.
  * Shortened test subdir names.
  * Run test for the 65C02 code generator / runtime too.
  * Hide stdout of tests returning an exit code.
  * minor style changes
  * Allow to control test Makefile output via QUIET (like libsrc).
  * Fixed addressing error for TSB/TSR and enabled tests again.
  * Added missing line continuation.
  * Revert to recursively expanded var.
  * Fix regression of #pragma bss-name
  * Fixed SGML typo.
  * Fixed SED
  * So far the built-in inlining of several known standard function was always (!) enabled and the option -Os enabled additional, potentially unsafe inlining of some of those functions.
  * Use the more explicit tag style for recently added internal links.
  * Fixed 2 typoes.
  * Minor language update.
  * Removed superfluous final linefeed.
  * Removed workaround.
  * Removed workaround.
  * Removed workaround.
  * Removed workaround.
  * Removed workaround.
  * Fixed the simulations of the stack pointer and the "break" and decimal-mode flags.
  * Bumped version.
  * Just some white space fixes of recently contributed code.
  * Fixed the handling of "while (0) {}".
* Sun Mar  5 2017 mpluskal@suse.com
- Update to version 2.15.0+git.20170304:
  * Initial Creativision Import
  * Added basic frame for new target 'creativision'.
  * fix merge fxxxup
  * Adding files for telemon30
  * Adding ch376.h header, correcting some bugs
  * Correcting some bugs
  * Correcting doc adding telemon 2.4 primitives
  * Adding telemon30 and telemon24 primitives
  * removing ch376.h
  * Revert
  * Merge with current version
  * Fixing old pull request
  * new pull fix
  * Fix
  * Fix
  * Fix
  * Correcting spaces
  * Merge telemon24 and telemon30 into telestrat target. Cleaning, and replace tab to spaces Converting hex lowercase value into uppercase char. Changing := and = when it was needed
  * Correcting comments alignment Correcting an address error in telestrat.inc when cleaning files which broke read.s primitive
  * correcting README.md to add telestrat target
  * Correcting some spaces
  * pce/memcpy.s: remove superfluous comma in comment
  * Cleanups for Creativision.
  * Correcting some code from github comments
  * Correcting return line
  * Correcting alignment
  * Last push for tonight :)
  * Updating doc
  * Fixing telestrat.h
  * Correcting scrsize.s into _scrsize.s
  * gamate, lynx, nes, pce: remove joy_stddrv.s
  * Add initial creativision.sgml, contributed by Stefan Haubenthal.
  * Add Creativision to README.md and html index
  * Reverted 'Used more mundane addressing in some of the instructions in "zlib/inflatemem.s".'
  * intermediate check-in -- creativision joystick driver
  * Rollback for *.vcxproj, telestrat.sgml modified for "don't" instead of "did not" for telemon2.4
  * Optimize inflatemem.
  * Fixed ca65's BRK instruction encoding for the 65816.
  * Add testcode/lib/mouse-test.c. Rename samples/mousetest.c to mousedemo.c.
  * fix indentation
  * Add joystick driver to documentation.
  * Fix joystick driver. Add interruptor support.
  * remove old joystick code
  * Added "telestrat.html" to index.  Sorted "gamate.html".
  * README.md: PC-Engine is a console
  * Improved display list instruction definition for more comfortable use within void data definition.
  * Update atari.sgml
  * Update displaylist.c
  * atari_antic.inc: use "or" instead of "plus" in the usage example
  * adding gotoxy.s
  * Correcting typo
  * adding clrscr.s
  * adding gotox.s gotoy.s wherex.s wherey.s
  * Cleaning
  * Fixed a makefile: "yaccdbg.c" includes "yacc.c". So, yaccdbg must depend on both of them.
  * Fixed a pointer-difference, comparison-with-zero expression.
  * creativision/crt0.s: enable display interrupts in display controller configuration
* Thu Jan 26 2017 mpluskal@suse.com
- Initial package for version cc65-2.15.0+git.20170126
  (inspired by package from home:strik)
